[PC-BSD Commits] r19335 - pcbsd/current/src-sh/pc-adctl/scripts

svn at pcbsd.org svn at pcbsd.org
Tue Sep 18 15:53:06 PDT 2012


Author: johnh
Date: 2012-09-18 22:53:06 +0000 (Tue, 18 Sep 2012)
New Revision: 19335

Modified:
   pcbsd/current/src-sh/pc-adctl/scripts/pc-nsswitch
Log:
Fixup nsswitch.conf permissions



Modified: pcbsd/current/src-sh/pc-adctl/scripts/pc-nsswitch
===================================================================
--- pcbsd/current/src-sh/pc-adctl/scripts/pc-nsswitch	2012-09-18 22:46:37 UTC (rev 19334)
+++ pcbsd/current/src-sh/pc-adctl/scripts/pc-nsswitch	2012-09-18 22:53:06 UTC (rev 19335)
@@ -63,8 +63,12 @@
 
 		if [ "$?" = "0" -a -s "${tmp}" ]
 		then
+			local res=0
 			mv "${tmp}" "${PATH_NS_CONF}"
-			return $?
+			res=$?
+
+			chmod 644 "${PATH_NS_CONF}"
+			return ${res}
 		fi
 
 		return 1
@@ -113,8 +117,13 @@
 
 		if [ "$?" = "0" -a -s "${tmp}" ]
 		then
+			local res=0
+
 			mv "${tmp}" "${PATH_NS_CONF}"
-			return $?
+			res=$?
+
+			chmod 644 "${PATH_NS_CONF}"
+			return ${res}
 		fi
 
 		return 1



More information about the Commits mailing list